| Bsoft 2.0.5 Bernard's software package

Functions | Variables
emgrand.cpp File Reference

Generate random values for micrograph parameters. More...

`#include "mg_random.h"`
`#include "rwmg.h"`
`#include "symmetry.h"`
`#include "utilities.h"`
`#include "timer.h"`
`#include "options.h"`

Go to the source code of this file.

## Functions
int | main (int argc, char **argv)

## Variables
int | verbose
const char * | use []

## Detailed Description

Generate random values for micrograph parameters.

Author
  Eduardo Sanz-Garcia, David Belnap and Bernard Heymann

Date
  Created: 20051011
  Modified: 20100128

Definition in file emgrand.cpp.

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 47 of file emgrand.cpp.

## Variable Documentation

## ◆ use

const char* use[]

Initial value:
= {
" ",
"Usage: emgrand [options] input.star [input.star]",
"------------------------------------------------",
"Randomizes particle parameters.",
" ",
"Actions:",
"-randomviews Replace views with random orientations.",
"-helical Replace views with random orientations for a helix.",
"-symmetry C5 Replace views with random symmetry-related orientations.",
"-origins 1.4 Introduce random errors into origins with this standard deviation (pixels).",
"-views 3.1 Introduce random errors into views with this standard deviation (degrees).",
"-defocus 0.3 Introduce random errors into defocus with this standard deviation (um).",
"-magnification 0.1 Introduce random errors into magnifications with this standard deviation (fraction).",
"-setasu C5 Set the views to the asymmetric unit (must agree with -symmetry if used).",
" ",
"Parameters:",
"-verbose 7 Verbosity of output.",
" ",
"Output:",
"-output file.star Output parameter file name.",
" ",
NULL
}

Definition at line 21 of file emgrand.cpp.

## ◆ verbose

int verbose